GWENT: The Witcher Card Game

Select Platform

Cyberpunk 2077

Select Platform

The Witcher 3: Wild Hunt

Select Platform

GWENT: Rogue Mage

Select Platform

Thronebreaker: The Witcher Tales

Select Platform

The Witcher

Select Platform

The Witcher 2: Assassins of Kings

Select Platform

Supported Devices

Created 8 months ago  Updated 6 months ago

Only Android devices using Android 8.0 or newer, with more than 2 GB RAM and using OpenGL 3.2 are supported.
 
If you see the "Your device is incompatible with this version" notification on Google Play GWENT: Rogue Mage page, your Android device is not supported.


Need help?

Contact us